Peršokti į turinį

Pagalbos dėl plugino SA-MP


Recommended Posts

Sveiki, iškilo viena problema, kad vieno plugino neužkrauna, nes išmeta, kad sena versija ir reikia atnaujint, o tų pluginų labai daug ir nežinau, kuris yra tinkamas ir veikiantis mano serveriui. Išmeta errorą: [19:02:36]   Failed (/usr/lib/i386-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by plugins/FCNPC.so)). Bandžiau gal 10 kokių tokių fcnpc.so pluginų ir vis tiek neveikia, gal žinot kaip lengviau rasti man reikiamą pluginą?

Nuoroda į komentarą
Dalintis per kitą puslapį

prieš 1 valandą, Deimis parašė:

Tema pasenusi, nėra jokių linkų kaip atnaujinti pluginus, tai tavo komentaras unhelpful...

Viską kaip ir susitvarkiau dėl to error'o atnaujinau ten reikiamą pluginą, dabar išmetė kitą errorą, gal kas žinot kaip atnaujinti INCLUDE folderį? Nes dabar include neskenuoja, o jį reikia atnaujint, gal kas žinot kaip?

Nuoroda į komentarą
Dalintis per kitą puslapį

prieš 1 valandą, SeriousZero parašė:

Tema pasenusi, nėra jokių linkų kaip atnaujinti pluginus, tai tavo komentaras unhelpful...

Viską kaip ir susitvarkiau dėl to error'o atnaujinau ten reikiamą pluginą, dabar išmetė kitą errorą, gal kas žinot kaip atnaujinti INCLUDE folderį? Nes dabar include neskenuoja, o jį reikia atnaujint, gal kas žinot kaip?

Pala , kokį include folderi? čivuo pirma karta girdžiu kad include folderi turi atnaujint, bet ne .inc failą :DDD 

Redaguota , nario SmokeDrift
Nuoroda į komentarą
Dalintis per kitą puslapį

Parašė (redaguota)
18 minutes prieš, SmokeDrift parašė:

Pala , kokį include folderi? čivuo pirma karta girdžiu kad include folderi turi atnaujint, bet ne .inc failą :DDD 

Kokį .inc failą naujint, nelabai suprantu? Parašyta atnaujinti pluginą, atnaujini pluginą išmet kitą error, kad versijos nesutampa su include ir su plugin versijomis, todėl prašo atnaujint taip, kad sutaptų ir plugino, ir include versijos. Todėl žmoniškai klausiu, gal kas žinote, kaip atnaujinti, kad sutaptų ir plugin'o ir include kažkokio folderio versijos... 

 

[FCNPC] Error: Script initialization failed. Include file version does not match plugin version.

 

Taip pat radau forume solution, kuriame rašoma: Update include file and rebuild script. Tai va būtent nežinau kaip tai padaryti, kaip atnaujinti...

Redaguota , nario SeriousZero
Nuoroda į komentarą
Dalintis per kitą puslapį

prieš 10 valandas(-ų), SeriousZero parašė:

Kokį .inc failą naujint, nelabai suprantu? Parašyta atnaujinti pluginą, atnaujini pluginą išmet kitą error, kad versijos nesutampa su include ir su plugin versijomis, todėl prašo atnaujint taip, kad sutaptų ir plugino, ir include versijos. Todėl žmoniškai klausiu, gal kas žinote, kaip atnaujinti, kad sutaptų ir plugin'o ir include kažkokio folderio versijos... 

 

[FCNPC] Error: Script initialization failed. Include file version does not match plugin version.

 

Taip pat radau forume solution, kuriame rašoma: Update include file and rebuild script. Tai va būtent nežinau kaip tai padaryti, kaip atnaujinti...

Pluginas turi sutapti su inc versija, poto pawno programoje compilini faila. Jei net elementariu dalyku nesugebi pasidaryk, isvis nekisk nagu

Nuoroda į komentarą
Dalintis per kitą puslapį

Parašė (redaguota)

Klaidą radau ir ją ištaisiau. Kaip vienas žmogus yra pasakęs, geriausia nelaukt, pačiam ką nors daryti tada ir bus rezultatas, taip ir padariau ir viskas pavyko. Į temą galite nebekomentuoti, ačiū, kas padėjote uždėjau +REP, bent už norą padėti.

Redaguota , nario SeriousZero
Nuoroda į komentarą
Dalintis per kitą puslapį

49 minutes prieš, SeriousZero parašė:

Viską taip ir padariau, kaip ir reikėjo. Atsinaujinau 2.0.3 include tokią versiją, kad tiktų ir plugino ir viskas veikia. Tik šį kartą kai sucompilinu scripte išmeta jau scripte errorą: 

C:\Users\Desktop\žaidimai/server0124\gamemodes\test.pwn(4522) : error 017: undefined symbol "FCNPC_InitMapAndreas"

Viską aš suprantu, nereikia nuvertinti manęs, kad nesugebu elementarių dalykų, tik problema jau kitur, kad kai viską padarau, viską atnaujinu, jau išmeta pačiam scripte errorą.

C:\Users\Desktop\žaidimai/server0124\gamemodes\test.pwn(4522) : error 017: undefined symbol "FCNPC_InitMapAndreas" (Yra ir tokių panašių errorų su kitais FCNPC...)

Ir ką ponas genijau siūlote šiuo atvėju daryti? (Versija FCNPC pati naujausia, todėl nemanau ar kokių failų trūksta pačiame fcnpc.inc ar plugine), o prieš tai senesnėje FCNPC versijoje tokų errorų nemetė.

tikriausiai skripte naudojama include versija neatitinka naudotos pries tai

Nuoroda į komentarą
Dalintis per kitą puslapį

Prisijungti prie diskusijos

Palikti atsakymą galite iš karto, o užsiregistruoti vėliau. Jeigu jau turite paskyrą mūsų forume, Prisijunkite.

Svečias
Atsakyti šioje temoje...

×   Įklijuotas tekstas turi teksto formatavimą.   Pašalinti teksto formatavimą

  Galimi tik 75 veidukai.

×   Nuoroda buvo automatiškai įterpta.   Įterpti nuorodą paprastai

×   Jūsų ankstesnis pranešimas buvo atkurtas.   Išvalyti redaktorių

×   Jūs negalite įkelti nuotraukas tiesiogiai.Įkelkite arba įdėkite nuotraukas iš URL.

  • Šiame puslapyje naršo:   0 nariai

    Nėra registruotų narių peržiūrinčių šį forumą.




×
×
  • Sukurti naują...